Name:          lutris
Version:       0.5.19
Release:       1mamba
Summary:       Lutris helps you install and play video games from all eras and from most gaming systems
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lutris/lutris
Source:        https://github.com/lutris/lutris.git/v%{version}/lutris-%{version}.tar.bz2
License:       GPL
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(certifi)
BuildRequires: python3.11dist(dbus-python)
BuildRequires: python3.11dist(distro)
BuildRequires: python3.11dist(evdev)
BuildRequires: python3.11dist(lxml)
BuildRequires: python3.11dist(moddb)
BuildRequires: python3.11dist(pillow)
BuildRequires: python3.11dist(protobuf)
BuildRequires: python3.11dist(pygobject)
BuildRequires: python3.11dist(pypresence)
BuildRequires: python3.11dist(pyyaml)
BuildRequires: python3.11dist(requests)
## AUTOBUILDREQ-END
BuildRequires: scons

%description
Lutris helps you install and play video games from all eras and from most gaming systems.

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

#%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-,root,root)
%dir %{python3_sitearch}/%{name}-%{version}-py*.egg-info
%{python3_sitearch}/%{name}-%{version}-py*.egg-info/*
%doc AUTHORS LICENSE

%changelog
* Wed Feb 26 2025 Automatic Build System <autodist@openmamba.org> 0.5.19-1mamba
- automatic version update by autodist

* Tue Dec 03 2024 Automatic Build System <autodist@openmamba.org> 0.5.18-1mamba
- automatic version update by autodist

* Fri Apr 12 2024 Automatic Build System <autodist@openmamba.org> 0.5.17-1mamba
- automatic version update by autodist

* Tue Feb 20 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.16-2mamba
- rebuilt with python3 ~= 3.11

* Tue Jan 16 2024 Automatic Build System <autodist@openmamba.org> 0.5.16-1mamba
- automatic version update by autodist

* Sun Jan 14 2024 Automatic Build System <autodist@openmamba.org> 0.5.15-1mamba
- automatic version update by autodist

* Fri Oct 20 2023 Automatic Build System <autodist@mambasoft.it> 0.5.14-1mamba
- automatic version update by autodist

* Tue Jul 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.13-1mamba
- package created using the webbuild interface
